﻿#language: ru

@OPC_hands

Функционал: 06_OPC_hands.01.005 Заполнение констант

Сценарий: 06_OPC_hands.01.005 Заполнение констант
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Настройки параметров учета'
	Тогда открылось окно 'Параметры производства'
	И я нажимаю кнопку выбора у поля "Основной график работы предприятия"
	Тогда открылось окно 'Графики работы'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Параметры производства *'
	И я устанавливаю флаг 'Вести учет по сменам'
	И я устанавливаю флаг 'Отключить использование стандартной формы ресурсных спецификаций'
	И из выпадающего списка "Формат времени нормы хранения" я выбираю точное значение 'ч'
	И в поле 'Префикс штрихкодов узла РИБ' я ввожу текст '2'
	И я нажимаю кнопку выбора у поля 'Склад пересчета'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маслоцех'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "Единица измерения веса"
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "Показатель плотности"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Плотность молока' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Параметры производства *'
	И я перехожу к закладке "Баланс жира и белка"
	И я нажимаю кнопку выбора у поля "Номенклатура потерь"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Потери'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Параметры производства *' в течение 20 секунд
	И я закрываю сеанс TESTCLIENT